Skip to main content
GET
/
api
/
v1
/
usage
/
customer
/
{customer_id}
Get customer usage
curl --request GET \
  --url https://api.example.com/api/v1/usage/customer/{customer_id} \
  --header 'Authorization: Bearer <token>'
{
  "period_end": "2023-12-25",
  "period_start": "2023-12-25",
  "usage": [
    {
      "grouped_usage": [
        {
          "dimensions": {},
          "value": "<string>"
        }
      ],
      "metric_code": "<string>",
      "metric_id": "<string>",
      "metric_name": "<string>",
      "total_value": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customer_id
string
required

Customer ID or alias

Query Parameters

start_date
string<date>
required
end_date
string<date>
required
metric_id
string

Response

Customer usage data

period_end
string<date>
required
period_start
string<date>
required
usage
object[]
required